# frozen_string_literal: true

class DiceRoll < ApplicationRecord
  belongs_to :rollable, polymorphic: true
  belongs_to :table

  validates :result, presence: true,
                     numericality: { only_integer: true }

  def display_text
    "#{rollable.character.name} rolled #{rollable.name}: <strong>#{result}</strong>".html_safe
  end
end
